header {
    background-color: var(--white);
}

header.for_desktop {
    display: block;
}

.btn_mob_menu,
header.for_mobile {
    display: none;
}


body {
    background-color: var(--white);
    font-size: var(--fs-400);
    line-height: 1.6;
    --contHeight: 80px;
    --maxMenuW: 30rem;
    --tbHeight: 30px;
    --headerHMobile: 80px;
    /* min-height: 300vh; */
    --iconSize: 22px;

    color: var(--maincolor);
    line-height: 1;
    font-family: var(--font-family);
    --sb-track-color: var(--grigiomedio);
    --sb-thumb-color: var(--maincolor);
    --sb-size: 6px;
}

header {
    position: fixed;
    width: 100%;
    left: 0;
    top: 0;
    right: 0;
    z-index: calc(var(--zindexB) + 100);
    transition: .3s;
}

header.scrolling {
    background-color: var(--white);
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;

}

.logoBox {
    width: 200px;
    height: auto;
    flex-shrink: 0;
}

.menu-item.cb-focus>a {
    color: var(--secondarycolor);
}

.header_container {
    transition: .3s;
}


header.scrolling .header_container {
    padding-top: 10px;
    padding-bottom: 10px;
}

.logoBox {
    width: 130px;
    transition: .3s;
    display: flex;
    align-items: center;
    justify-content: center;
    /* margin-inline: auto; */
}

.logoBox a {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.logoBox a img {
    width: 100%;
    -o-object-fit: scale-down;
    object-fit: scale-down;
}

.mobile_menu_container {
    display: none;
}

.promo_disclaimer_content__cta,
.hcc_ctas .cta {
    font-size: var(--fs-350);
    transition: .3s;
}

.fullbodymenu_container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    transform: translateX(-100%);
    opacity: 0;
    transition: transform 0.5s ease, opacity 0.5s ease;
    z-index: 999;
    display: flex;
    justify-content: start;
    align-items: start;
    padding: 1.5rem 3rem;
}

.fullbodymenu_container.show {
  transform: translateX(0);
  opacity: 1;
}

.fullbodymenu_container .menu_wrapper .menu {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  list-style: none;
  text-align: center;
  padding: 0;
}

.fullbodymenu_container .menu_wrapper .menu li {
  opacity: 0;
  transform: translateX(-30px);
  animation: none;
}

.fullbodymenu_container .menu_wrapper .menu li a {
  font-size: var(--fs-500);
  color: var(--maincolor);
  text-decoration: none;
  display: inline-block;
  padding: 1.2rem 0.85rem;
}

.fullbodymenu_container .menu_wrapper .menu li a:hover {
  color: var(--grigiomedio);
}

.fullbodymenu_container button:hover,
.btn_menu_lateral:hover {
  cursor: pointer;
  stroke: var(--grigiomedio);
}

/* ANIMAZIONE VOCI */
.fullbodymenu_container.show .menu li {
  animation: fadeSlide 0.6s ease forwards;
}

/* Delay progressivo */
.menu li:nth-child(1) {
  animation-delay: 0.2s;
}

.menu li:nth-child(2) {
  animation-delay: 0.35s;
}

.menu li:nth-child(3) {
  animation-delay: 0.5s;
}

.menu li:nth-child(4) {
  animation-delay: 0.65s;
}

@keyframes fadeSlide {
  from {
    opacity: 0;
    transform: translateX(-30px);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.fullbodymenu_container .menu_wrapper .menu li.current_page_item a,
.menu li [aria-current]:not(:hover) {
  font-weight: var(--fw-600);
  color: var(--grigiomedio);
  transition: .4s;
}

.fullbodymenu_container .menu_wrapper .menu li a:hover,
.menu li:hover {
  font-weight: var(--fw-600);
  color: var(--grigiomedio);
  /* Colore uguale al testo */
}

.hcc_ctas .cta svg {
    fill: var(--maincolor);
    transition: .3s;
}

header.scrolling .logoBox {
    width: 110px;
}

.main_menu_mobile_container {
    display: none;
}

.menu_wrapper>ul,
.menu>ul {
    display: flex;
    gap: 20px;
}

.promo_disclaimer_content__cta,
.hcc_ctas .cta {
    font-size: var(--fs-300);
    transition: .3s;
}

.cta_phone {
    padding: 1.5rem;
    border-radius: 10px;
    color: var(--google-blue);
}

.cta_phone svg {
    height: 24px;
    width: 24px;
}

.cta_phone:hover {
    background-color: var(--grigiochiaro);
    color: var(--google-blue);
}

/* .cta::after,
.main_cta_bottom::after {
    content: '';
    position: absolute;
    pointer-events: none;
    background-color: var(--white);
    width: 20px;
    height: 100%;
    transform: skewX(-10deg);
    right: 25%;
    top: 0;
    opacity: .15;
    translate: -150px 0;
    transition: 300ms;
} */

.form_row .input_wrapper.is_submit button {
    background-color: var(--verdeCTA);
}

.form_row .input_wrapper.is_submit button:hover {
    background-color: var(--verdeCTAdark);
}

.menu_wrapper>ul li a {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.05rem 2.05rem;
    border-radius: .5rem;
    transition: .3s;
    font-size: var(--fs-300);
    color: var(--dark);
}

.menu_wrapper>ul li a:hover {
    background-color: var(--grigiochiaro);
    color: var(--maincolor);
}

.logoBox img {
    width: 100%;
}

button#open_mobile_menu {
    display: none;
}

.promo_disclaimer_content__cta,
.cta_form {
    padding: 1.25rem 2.5rem;
    border-radius: 150px;
    transition: .3s;
}

.self_align_center {
    align-self: center;
}

/*ANCHOR - Form */
.hero_col .form_container {
    border-radius: 1rem;
    padding: 1.5rem;
}

.hero_col .form_header h2 {
    font-size: var(--fs-500);
}

.hero_col .form_body {
    align-items: initial;
    gap: 2rem;
}

.hero_col p.req_fields_alert {
    text-align: left;
    max-width: initial;
    margin-inline: initial;
}

.form_row .input_wrapper.is_checkbox {
    display: flex;
    gap: 10px;
    align-items: center;
    flex-wrap: nowrap;
}

.form_row .input_wrapper.is_checkbox a,
.form_row .input_wrapper.is_checkbox span {
    font-size: 1rem;
    color: var(--dark);

}

.form_row .input_wrapper.is_checkbox a {
    text-decoration: underline;
}

.form_header p {
    color: var(--dark);
}

/*ANCHOR - Media Queries */
/*ANCHOR - 1400px */
@media (max-width: 1800px) {

    .menu_wrapper>ul li a {
        font-size: var(--fs-300);
        padding: 1rem 1.15rem;
    }

    .hcc_ctas a.cta {
        font-size: var(--fs-250);
        padding: .85rem;
    }

    .footer_left .foot_copy_txt p,
    .footer_left .foot_copy_txt p .cky-banner-element {
        font-size: var(--fs-200);
    }
}

/*ANCHOR - 1350px */
@media (max-width: 1350px) {
    .contacts_menu_wrapper {
        width: 25vw;
        box-shadow: 0 -4px 8px var(--grigiomedio);
    }

    .main_menu_mobile_container>.content-grid {
        z-index: calc(var(--zindexB) + 102);
        position: relative;
        background-color: var(--white);
    }

    .main_menu_mobile_container::before {
        content: '';
        position: absolute;
        z-index: calc(var(--zindexB) + 101);
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.8);
    }

    body section#hero,
    body.mobile_mode section#hero .hero_col {
        /* padding-top: 50px; */
        min-height: 450px;
    }

    .menu_desktop {
        display: none;
    }

    .mobile_menu_container {
        height: 100vh;
    }

    button#close_mobile_menu,
    button#open_mobile_menu {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .main_menu_mobile_container__head>* {
        color: var(--dark);
    }

    .main_menu_mobile_container.open {
        translate: 0 0;
        width: 50%;
    }

    button#close_mobile_menu span,
    button#open_mobile_menu span {
        pointer-events: none;
    }

    button#open_mobile_menu,
    button#close_mobile_menu {
        color: var(--grigioscuro) !important;
    }

    .main_menu_mobile_container {
        display: block;
        z-index: calc(var(--zindexB) + 100);
        left: 0;
        top: 0;
        height: 100vh;
        background-color: var(--white);
        width: 100%;
        transition: 300ms;
        translate: -100% 0;
    }

    .contacts_menu_wrapper {
        width: 45vw;
        box-shadow: 0 -4px 8px var(--grigiomedio);
    }

    .contacts_menu_wrapper .hcc_ctas_mobile {
        flex-direction: column-reverse;
        gap: 5px;
        width: 100%;
    }

    .contacts_menu_wrapper .hcc_ctas_mobile>a {
        width: 100%;
        text-align: center;
        justify-content: center;

        margin-block: auto;
        border-radius: 0%;
    }

    .contacts_menu_wrapper .hcc_ctas_mobile>a:not(.cta_form) {
        border: 1px solid var(--grigiomedio);

    }

    .contacts_menu_wrapper .hcc_ctas_mobile a svg {
        width: 20px;
        height: 20px;
    }

    .hcc_ctas_mobile a svg * {
        stroke: var(--maincolor);
        fill: var(--maincolor);
    }

    .hero_col h1,
    .google_ads_col .google_ads_main_content h2,
    .meta_ads_col .meta_ads_main_content h2,
    .services_col .services_main_content h2,
    .reviews_container .reviews_main_content h2,
    .contacts_container .contacts_main_content h2 {
        font-size: var(--fs-700);
    }

    .hero_col h2 {
        font-size: var(--fs-500);
    }

    .google_ads_main_content__desc,
    .meta_ads_main_content__desc,
    .promo_disclaimer {
        flex-direction: column;
    }

    .promo_box {
        padding: 2.5rem;
    }

    .promo_disclaimer .promo_disclaimer_content__cta {
        font-size: var(--fs-300);
    }

    .logoBox {
        width: 200px;
    }

    .footer_right .socials_container .social_list {
        flex-direction: column;
    }

    .socials_container {
        flex-direction: column;
    }

    .google_ads_main_content__desc,
    .meta_ads_main_content__desc {
        align-items: center;
        justify-content: center;
    }

    .mobile_mode header .header_container {
        flex-wrap: nowrap;
    }

    .meta_ads_main_content_partner_logo,
    .google_ads_main_content_partner_logo {
        width: 120px;
        text-align: center;
    }

    .grid_2_cols,
    .grid_3_cols,
    .grid_4_cols,
    .grid_5_cols,
    .grid_1_2_cols,
    .grid_2_1_cols,
    .grid_3_2_cols,
    .grid_2_1_1_cols {
        grid-template-columns: 1fr;
    }


    .promo_disclaimer {
        padding: 1.5rem 1rem;
    }

    .promo_disclaimer .promo_disclaimer_content * {
        text-align: center;
    }

    .promo_disclaimer_content__cta,
    .hcc_ctas .cta {
        line-height: 1.3;
    }

    .hero_main_content *,
    .google_ads_main_content *,
    .meta_ads_main_content_text *,
    .meta_ads_goals .single_goal .point_title_container h3,
    .meta_ads_goals .single_goal .point_descr_container p {
        text-align: center;
    }

    #google_ads .single_goal,
    #meta_ads .single_goal {
        align-items: center;
        justify-content: center;

    }

    .point_title_container *,
    .point_descr_container * {
        text-align: center;
    }

    header .header_container {
        flex-wrap: wrap;
    }

    header .hcc_ctas {
        display: none;
    }

    header .contacts_menu_wrapper .hcc_datas_mobile {
        display: block;
    }

    header .menu_wrapper.show_menu_mob {
        display: block;
        width: 100%;

    }

    header .menu_wrapper ul {
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 0;
    }

    header .menu_wrapper ul>li {
        width: 100%;
        text-align: center;
    }

    header .menu_wrapper ul li a {
        width: 100%;
        padding: 1rem 0;
        font-size: var(--fs-450);
        color: var(--dark);
        background-color: var(--white);
        /* border-bottom: 1px solid var(--grigiochiaro); */
        text-align: left;
        justify-content: initial;
    }

    header .menu_wrapper ul li a:hover {
        color: var(--dark);
        background-color: var(--white);
    }

    header .menu_wrapper {
        border-top: 0;
        padding-top: 0;
    }

    .single_goal {
        width: 80%;
    }

    .suffix_text {
        text-align: center;
        line-height: 1.5;
    }

    .promo_disclaimer .promo_disclaimer_content h3 {
        margin-bottom: 10px;
    }

    .google_ads_goals .single_goal {
        margin: 0;
    }

    .hero_grid,
    .meta_ads_goals .single_goal {
        width: 100%;
    }

    .single_service:not(:first-child) {
        margin-top: 50px;
    }

    .frame_map_container {
        width: auto;
        height: 400px;
        margin-top: 30px;
    }

    .frame_map_container iframe {
        width: 100%;
        height: 100%;
    }


    /* .ct_list_title *{
        text-align: center;
    } */


    .contacts_list_container {
        align-items: center;
        justify-content: center;
    }

    footer .footer_grid {
        gap: 25px;
    }


}

/*ANCHOR - 900px */

@media (max-width: 900px) {

    .header_container .header_container_col {
        gap: 60px;
    }

    header.for_desktop {
        display: none;
    }

    body section#hero,
    body.mobile_mode section#hero .hero_col {
        /* padding-top: 50px; */
        min-height: 0;
    }

    body section#hero .flex{
        align-items: center;
        justify-content: center;
    }

    body section#hero .hero-col .cb-title-wrapper>*,
    body section#hero .hero-col p{
        text-align: center;

    }

    .btn_mob_menu,
    header.for_mobile {
        display: block;
    }

    .mobile_menu_container {
        height: 100vh;
    }

    .logoBox {
        width: 100px;
    }

    .main_menu_mobile_container.open {
        width: 100%;
        height: 100vh;
    }

    .promo_disclaimer_content__cta::after {
        right: 0;
    }

    .contacts_menu_wrapper {
        width: 100%;
        margin-bottom: 100px;
    }

    #hero .hero_grid {
        gap: 0;
    }

    .form_row .input_wrapper.is_checkbox label {
        width: initial;
    }

    .form_row .input_wrapper.is_checkbox a,
    .form_row .input_wrapper.is_checkbox span {
        font-size: .8rem;
        line-height: 140%;
    }

    .trustindex_logo_container {
        width: 50%;
    }

    


}